Main Page | Namespace List | Class Hierarchy | Alphabetical List | Class List | File List | Namespace Members | Class Members | File Members | Related Pages

# MotionNetNode Struct Reference

Represents a node of the motion net. More...

`#include <MotionNetNode.h>`

List of all members.

## Public Types
enum | NodeType { typeConditionalTransition, typeTransition, typeData, typePID }
## Public Member Functions
void | toJointData (JointData &jointData, long &dataRepetitionCounter, bool &interpolationMode)
void | toPIDData (PIDData &pidData)
void | toExecutedMotionRequest (MotionRequest &execMR)
## Public Attributes
short | d [24]
| Represent a set of values from a data line.

## Detailed Description

Represents a node of the motion net.

The motion net is organised in an array of nodes (MotionNetNode).

Author:
  Uwe Düffert <dueffert@informatik.hu-berlin.de>

Definition at line 25 of file MotionNetNode.h.

## Member Enumeration Documentation

enum MotionNetNode::NodeType

  | Enumeration values:
  typeConditionalTransition | the current node is a conditional transition
  typeTransition | the current node is a transition
  typeData | the current node is a motor data vector
  typePID | the current node is a pid data vector
Definition at line 28 of file MotionNetNode.h.

## Member Function Documentation

void MotionNetNode::toJointData | ( | JointData & | jointData,
|  | long & | dataRepetitionCounter,
|  | bool & | interpolationMode
| ) | `[inline]`

| Definition at line 49 of file MotionNetNode.h. References JointData::data. Referenced by GT2003MotionNetSpecialActions::getNextData().

void MotionNetNode::toPIDData | ( | PIDData & | pidData | ) | `[inline]`

| Definition at line 71 of file MotionNetNode.h. References PIDData::d, DEFLT, PIDData::i, PIDData::p, and PIDData::setValues(). Referenced by GT2003MotionNetSpecialActions::getNextData().

Here is the call graph for this function:

void MotionNetNode::toExecutedMotionRequest | ( | MotionRequest & | execMR | ) | `[inline]`

| Definition at line 80 of file MotionNetNode.h. References MotionRequest::motionType, MotionRequest::specialActionRequest, and SpecialActionRequest::specialActionType. Referenced by GT2003MotionNetSpecialActions::getNextData().

## Member Data Documentation

short MotionNetNode::d[24]

| Represent a set of values from a data line. Definition at line 40 of file MotionNetNode.h. Referenced by GT2003MotionNetSpecialActions::getNextData(), and MotionNetData::load().

The documentation for this struct was generated from the following file:

- Modules/SpecialActions/GT2003MotionNetSpecialActions/MotionNetNode.h